.TH "mca_ptl_proc_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_proc_t \- A data structure associated with a ompi_proc_t that caches addressing/scheduling attributes for a specific PTL instance that can be used to reach the process.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_ptl_array.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "int \fBptl_weight\fP"
.br
.RI "\fIPTL weight for scheduling. \fP"
.ti -1c
.RI "\fBmca_ptl_base_peer_t\fP * \fBptl_peer\fP"
.br
.RI "\fIPTL addressing info. \fP"
.ti -1c
.RI "mca_pml_base_ptl_t * \fBptl_base\fP"
.br
.RI "\fIPML specific PTL info. \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP * \fBptl\fP"
.br
.RI "\fIPTL module. \fP"
.in -1c
.SH "Detailed Description"
.PP 
A data structure associated with a ompi_proc_t that caches addressing/scheduling attributes for a specific PTL instance that can be used to reach the process. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
